import os
import subprocess

class CoreSingleton:
    __single = None
    def __init__( self ):
        if CoreSingleton.__single:
            raise CoreSingleton.__single
        CoreSingleton.__single = self

        # Launchpad Login
        self.legacy_lplogin_file = os.path.expanduser("~/.5-a-day")
        self.lplogin = None
        if os.path.exists(self.legacy_lplogin_file):
            self.lplogin = open(self.legacy_lplogin_file).read().strip().lower()
        else:
            p = subprocess.Popen(["bzr", "launchpad-login"], 
                                 stdout=subprocess.PIPE)
            lplogin = p.stdout.read().strip()
            p.communicate()
            if not p.returncode:
                # return code == 0
                self.lplogin = lplogin
            else:
                print >> sys.stderr, _("""Please type in:
    bzr launchpad-login <Your Launchpad ID>""")

        self.remote_branch = "bzr+ssh://%s@bazaar.launchpad.net/~%s/5-a-day-data/main" % \
                             (self.lplogin, self.lplogin)
        self.remote_readonly_branch = "http://"+self.remote_branch.split("@")[1]
        self.local_branch = os.path.expanduser("~/.5-a-day-%s" % self.lplogin)
        self.signature_file = os.path.expanduser("~/.signature")
        self.old_signature_file = os.path.expanduser("~/.signature.old")
        self.team_file = os.path.join(self.local_branch, "team")
        self.tag_file = os.path.expanduser("~/.5-a-day-tags")
        self.log_file = os.path.join(self.local_branch, "data")

def Core(x = CoreSingleton):
    try:
        single = CoreSingleton()
    except CoreSingleton, s:
        single = s
    return single 
