import gtk

class Model(object):
    def __init__(self, controller, teams={}):
        self.controller = controller

        self.__teams = gtk.ListStore(str, "gboolean")
        
        for i in teams.items():
            self.__teams.append(i)

    def get_treemodel(self):
        return self.__teams
        
    @property
    def values(self):
        return list(i[0] for i in self.__teams if i[1])
        
    def add_teams(self, teams):
        for i in teams.items():
            self.__teams.append(i)

class TagsModel(object):
    def __init__(self, controller, tags=[]):
        self.controller = controller

        self.__tags = gtk.ListStore(str)
        
        for i in tags:
            self.add_tag(i)

    def get_treemodel(self):
        return self.__tags
        
    @property
    def values(self):
        return list(i[0] for i in self.__tags)
        
    def add_tag(self, tag):
        if not isinstance(tag, tuple):
            tag = (tag,)
        self.__tags.append(tag)
        
    def remove_tag(self, entry):
        self.__tags.remove(entry)
        
    def reset(self, values):
        self.__tags.clear()
        for i in values:
            self.add_tag(i)
        
